*** ./src/include/Makefile.orig	Wed Nov  3 10:32:29 2004
--- ./src/include/Makefile	Sun Nov  7 11:14:52 2004
***************
*** 18,24 ****
  
  # Subdirectories containing headers for server-side dev
  SUBDIRS = access bootstrap catalog commands executor lib libpq mb \
! 	nodes optimizer parser port regex rewrite storage tcop utils
  
  # Install all headers
  install: all installdirs remove-old-headers
--- 18,25 ----
  
  # Subdirectories containing headers for server-side dev
  SUBDIRS = access bootstrap catalog commands executor lib libpq mb \
! 	nodes optimizer parser port regex rewrite storage tcop utils \
! 	port port/win32 port/win32/arpa port/win32/netinet port/win32/sys
  
  # Install all headers
  install: all installdirs remove-old-headers
*** ./src/makefiles/Makefile.win32.orig	Thu Oct 28 08:24:17 2004
--- ./src/makefiles/Makefile.win32	Sun Nov  7 10:44:58 2004
***************
*** 35,37 ****
--- 35,48 ----
  ifneq (,$(findstring src/pl/plpython,$(subdir)))
  override CPPFLAGS+= -DUSE_DL_IMPORT
  endif
+ 
+ # special win32 headers are provided here
+ ifdef PGXS
+ override CPPFLAGS+= $(includedir_server)/port/win32
+ endif
+ 
+ # it is better to install shared-libraries anyway?
+ # may be overriden with make MAKE_DLL=false install
+ ifndef MAKE_DLL
+ MAKE_DLL	= true
+ endif
